TAP version 13 not ok 1 - mocha v5.2.0 Install Failed ---
# > canvas@1.6.10 install /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/histogram/node_modules/canvas
# > node-gyp rebuild
# > uws@9.14.0 install /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/uws
# > node-gyp rebuild > build_log.txt 2>&1 || exit 0
# > canvas@1.6.5 install /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/canvas
# > node-gyp rebuild
# > sharp@0.17.3 install /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/sharp
# > node-gyp rebuild
# Package cairo was not found in the pkg-config search path.
# Perhaps you should add the directory containing `cairo.pc'
# to the PKG_CONFIG_PATH environment variable
# No package 'cairo' found
# gyp: Call to './util/has_lib.sh freetype' returned exit status 0 while in binding.gyp. while trying to load binding.gyp
# gyp ERR! configure error
# gyp ERR! stack Error: `gyp` failed with exit code: 1
# gyp ERR! stack at ChildProcess.onCpExit (/home/jenkins/.nvs/node/10.14.2/s390x/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:345:16)
# gyp ERR! stack at ChildProcess.emit (events.js:182:13)
# gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:240:12)
# gyp ERR! System Linux 4.4.0-137-generic
# gyp ERR! command "/home/jenkins/.nvs/node/10.14.2/s390x/bin/node" "/home/jenkins/.nvs/node/10.14.2/s390x/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
# gyp ERR! cwd /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/histogram/node_modules/canvas
# gyp ERR! node -v v10.14.2
# gyp ERR! node-gyp -v v3.8.0
# gyp ERR! not ok
# Package cairo was not found in the pkg-config search path.
# Perhaps you should add the directory containing `cairo.pc'
# to the PKG_CONFIG_PATH environment variable
# No package 'cairo' found
# gyp: Call to './util/has_lib.sh freetype' returned exit status 0 while in binding.gyp. while trying to load binding.gyp
# gyp ERR! configure error
# gyp ERR! stack Error: `gyp` failed with exit code: 1
# gyp ERR! stack at ChildProcess.onCpExit (/home/jenkins/.nvs/node/10.14.2/s390x/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:345:16)
# gyp ERR! stack at ChildProcess.emit (events.js:182:13)
# gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:240:12)
# gyp ERR! System Linux 4.4.0-137-generic
# gyp ERR! command "/home/jenkins/.nvs/node/10.14.2/s390x/bin/node" "/home/jenkins/.nvs/node/10.14.2/s390x/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
# gyp ERR! cwd /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/canvas
# gyp ERR! node -v v10.14.2
# gyp ERR! node-gyp -v v3.8.0
# gyp ERR! not ok
# ERROR: Download of https://dl.bintray.com/lovell/sharp/libvips-8.4.2-linux-s390x.tar.gz failed: Response code 404 (Not Found)
# gyp: Call to 'LDD_VERSION="ldd (Ubuntu GLIBC 2.23-0ubuntu10) 2.23
# Copyright (C) 2016 Free Software Foundation, Inc.
# This is free software; see the source for copying conditions. There is NO
# warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# Written by Roland McGrath and Ulrich Drepper." node -e "require('./binding').download_vips()"' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
# gyp ERR! configure error
# gyp ERR! stack Error: `gyp` failed with exit code: 1
# gyp ERR! stack at ChildProcess.onCpExit (/home/jenkins/.nvs/node/10.14.2/s390x/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:345:16)
# gyp ERR! stack at ChildProcess.emit (events.js:182:13)
# gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:240:12)
# gyp ERR! System Linux 4.4.0-137-generic
# gyp ERR! command "/home/jenkins/.nvs/node/10.14.2/s390x/bin/node" "/home/jenkins/.nvs/node/10.14.2/s390x/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
# gyp ERR! cwd /tmp/cac2838b-c511-4b1a-ad88-a900ded62214/mocha/node_modules/sharp
# gyp ERR! node -v v10.14.2
# gyp ERR! node-gyp -v v3.8.0
# gyp ERR! not ok
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.2 (node_modules/fsevents):
# npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"s390x"})
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: canvas@1.6.10 (node_modules/histogram/node_modules/canvas):
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: canvas@1.6.10 install: `node-gyp rebuild`
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: canvas@1.6.5 (node_modules/canvas):
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: canvas@1.6.5 install: `node-gyp rebuild`
# npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
# npm ERR! code ELIFECYCLE
# npm ERR! errno 1
# npm ERR! sharp@0.17.3 install: `node-gyp rebuild`
# npm ERR! Exit status 1
# npm ERR!
# npm ERR! Failed at the sharp@0.17.3 install script.
# npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
# npm ERR! A complete log of this run can be found in:
# npm ERR! /home/jenkins/.npm/_logs/2019-01-14T17_55_43_597Z-debug.log duration_ms: 38338 ... 1..1